TextImpl (Xerces2 Implementation)
Date: 2016-02-03

org.apache.xerces.impl.xs.opti

## Class TextImpl

- java.lang.Object
- - org.apache.xerces.impl.xs.opti.DefaultNode
  - - org.apache.xerces.impl.xs.opti.NodeImpl
    - - org.apache.xerces.impl.xs.opti.DefaultText
      - - org.apache.xerces.impl.xs.opti.TextImpl

- All Implemented Interfaces:
    org.w3c.dom.CharacterData, org.w3c.dom.Node, org.w3c.dom.Text

      public class TextImpl
      extends DefaultText

  Version:
    $Id: TextImpl.java 705596 2008-10-17 13:05:10Z mrglavas $
  Author:
    Neil Graham, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextImpl(java.lang.StringBuffer str, SchemaDOM sDOM, int row, int col)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getData()` The character data of the node that implements this interface.
    `int` | `getLength()` The number of 16-bit units that are available through `data` and the `substringData` method below.
    `org.w3c.dom.Node` | `getNextSibling()` The node immediately following this node.
    `java.lang.String` | `getNodeName()` The name of this node, depending on its type; see the table above.
    `org.w3c.dom.Node` | `getParentNode()` The parent of this node.
    `org.w3c.dom.Node` | `getPreviousSibling()` The node immediately preceding this node.
    `java.lang.String` | `substringData(int offset, int count)` Extracts a range of data from the node.

    - ### Methods inherited from class org.apache.xerces.impl.xs.opti.DefaultText

      `appendData, deleteData, getWholeText, insertData, isElementContentWhitespace, replaceData, replaceWholeText, setData, splitText`

    - ### Methods inherited from class org.apache.xerces.impl.xs.opti.NodeImpl

      `getLocalName, getNamespaceURI, getNodeType, getPrefix, getReadOnly, setReadOnly, toString`

    - ### Methods inherited from class org.apache.xerces.impl.xs.opti.DefaultNode

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getNodeValue, getOwnerDocument, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNodeType, getNodeValue, getOwnerDocument, getPrefix, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Constructor Detail

    - #### TextImpl

          public TextImpl(java.lang.StringBuffer str,
                  SchemaDOM sDOM,
                  int row,
                  int col)

  - ### Method Detail

    - #### getNodeName

          public java.lang.String getNodeName()

      Description copied from interface: `org.w3c.dom.Node`
      The name of this node, depending on its type; see the table above.
      Specified by:
        `getNodeName` in interface `org.w3c.dom.Node`
      Overrides:
        `getNodeName` in class `NodeImpl`

    - #### getParentNode

          public org.w3c.dom.Node getParentNode()

      Description copied from interface: `org.w3c.dom.Node`
      The parent of this node. All nodes, except `Attr`, `Document`, `DocumentFragment`, `Entity`, and `Notation` may have a parent. However, if a node has just been created and not yet added to the tree, or if it has been removed from the tree, this is `null`.
      Specified by:
        `getParentNode` in interface `org.w3c.dom.Node`
      Overrides:
        `getParentNode` in class `DefaultNode`

    - #### getPreviousSibling

          public org.w3c.dom.Node getPreviousSibling()

      Description copied from interface: `org.w3c.dom.Node`
      The node immediately preceding this node. If there is no such node, this returns `null`.
      Specified by:
        `getPreviousSibling` in interface `org.w3c.dom.Node`
      Overrides:
        `getPreviousSibling` in class `DefaultNode`

    - #### getNextSibling

          public org.w3c.dom.Node getNextSibling()

      Description copied from interface: `org.w3c.dom.Node`
      The node immediately following this node. If there is no such node, this returns `null`.
      Specified by:
        `getNextSibling` in interface `org.w3c.dom.Node`
      Overrides:
        `getNextSibling` in class `DefaultNode`

    - #### getData

          public java.lang.String getData()
                                   throws org.w3c.dom.DOMException

      The character data of the node that implements this interface. The DOM implementation may not put arbitrary limits on the amount of data that may be stored in a `CharacterData` node. However, implementation limits may mean that the entirety of a node's data may not fit into a single `DOMString`. In such cases, the user may call `substringData` to retrieve the data in appropriately sized pieces.
      Specified by:
        `getData` in interface `org.w3c.dom.CharacterData`
      Overrides:
        `getData` in class `DefaultText`
      Throws:
        `org.w3c.dom.DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.
        `org.w3c.dom.DOMException` - DOMSTRING_SIZE_ERR: Raised when it would return more characters than fit in a `DOMString` variable on the implementation platform.

    - #### getLength

          public int getLength()

      The number of 16-bit units that are available through `data` and the `substringData` method below. This may have the value zero, i.e., `CharacterData` nodes may be empty.
      Specified by:
        `getLength` in interface `org.w3c.dom.CharacterData`
      Overrides:
        `getLength` in class `DefaultText`

    - #### substringData

          public java.lang.String substringData(int offset,
                                       int count)
                                         throws org.w3c.dom.DOMException

      Extracts a range of data from the node.
      Specified by:
        `substringData` in interface `org.w3c.dom.CharacterData`
      Overrides:
        `substringData` in class `DefaultText`
      Parameters:
        `offset` - Start offset of substring to extract.
        `count` - The number of 16-bit units to extract.
      Returns:
        The specified substring. If the sum of `offset` and `count` exceeds the `length`, then all 16-bit units to the end of the data are returned.
      Throws:
        `org.w3c.dom.DOMException` - INDEX_SIZE_ERR: Raised if the specified `offset` is negative or greater than the number of 16-bit units in `data`, or if the specified `count` is negative.
        DOMSTRING_SIZE_ERR: Raised if the specified range of text does not fit into a `DOMString`.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.